xine-lib: dvb_input_plugin_t Struct Reference

xine-lib 1.2.12

Data Fields
dvb_input_plugin_t Struct Reference

## Data Fields
input_plugin_t | input_plugin
xine_stream_t * | stream
char * | mrl
off_t | curpos
xine_nbc_t * | nbc
tuner_t * | tuner
channel_t * | channels
int | fd
int | tuned_in
int | num_channels
int | channel
pthread_mutex_t | channel_change_mutex
osd_object_t * | osd
osd_object_t * | rec_osd
osd_object_t * | name_osd
osd_object_t * | paused_osd
osd_object_t * | proginfo_osd
osd_object_t * | channel_osd
osd_object_t * | background
xine_event_queue_t * | event_queue
int | dvb_gui_enabled
int | record_fd
int | record_paused
int | zoom_ok
int | epg_displaying
int | epg_updater_stop
pthread_t | epg_updater_thread
int | num_streams_in_this_ts
int | read_failcount

## Field Documentation

## ◆ background

osd_object_t* dvb_input_plugin_t::background

## ◆ channel

int dvb_input_plugin_t::channel

## ◆ channel_change_mutex

pthread_mutex_t dvb_input_plugin_t::channel_change_mutex

## ◆ channel_osd

osd_object_t* dvb_input_plugin_t::channel_osd

## ◆ channels

channel_t* dvb_input_plugin_t::channels

## ◆ curpos

off_t dvb_input_plugin_t::curpos

## ◆ dvb_gui_enabled

int dvb_input_plugin_t::dvb_gui_enabled

## ◆ epg_displaying

int dvb_input_plugin_t::epg_displaying

## ◆ epg_updater_stop

int dvb_input_plugin_t::epg_updater_stop

## ◆ epg_updater_thread

pthread_t dvb_input_plugin_t::epg_updater_thread

## ◆ event_queue

xine_event_queue_t* dvb_input_plugin_t::event_queue

## ◆ fd

int dvb_input_plugin_t::fd

## ◆ input_plugin

input_plugin_t dvb_input_plugin_t::input_plugin

## ◆ mrl

char* dvb_input_plugin_t::mrl

## ◆ name_osd

osd_object_t* dvb_input_plugin_t::name_osd

## ◆ nbc

xine_nbc_t* dvb_input_plugin_t::nbc

## ◆ num_channels

int dvb_input_plugin_t::num_channels

## ◆ num_streams_in_this_ts

int dvb_input_plugin_t::num_streams_in_this_ts

## ◆ osd

osd_object_t* dvb_input_plugin_t::osd

## ◆ paused_osd

osd_object_t* dvb_input_plugin_t::paused_osd

## ◆ proginfo_osd

osd_object_t* dvb_input_plugin_t::proginfo_osd

## ◆ read_failcount

int dvb_input_plugin_t::read_failcount

## ◆ rec_osd

osd_object_t* dvb_input_plugin_t::rec_osd

## ◆ record_fd

int dvb_input_plugin_t::record_fd

## ◆ record_paused

int dvb_input_plugin_t::record_paused

## ◆ stream

xine_stream_t* dvb_input_plugin_t::stream

## ◆ tuned_in

int dvb_input_plugin_t::tuned_in

## ◆ tuner

tuner_t* dvb_input_plugin_t::tuner

## ◆ zoom_ok

int dvb_input_plugin_t::zoom_ok

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/input/input_dvb.c